设为首页收藏本站

追梦Linux

 找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 285|回复: 0

lnmp安装wordpress后台插件升级问题

[复制链接]

30

主题

39

帖子

2万

积分

CEO

Rank: 9Rank: 9Rank: 9

积分
25284

最佳新人活跃会员热心会员推广达人宣传达人灌水之王突出贡献优秀版主荣誉管理论坛元老

QQ
发表于 2017-2-13 17:00:42 | 显示全部楼层 |阅读模式
使用Wordpress程序架构的网站如果需要在网站后台升级、安装主题或者插件的时候,总是会提示需要我们提供FTP信息的界面。有这样的字样提示"要执行请求的操作,WordPress需要访问您网页服务器的权限。请输入您的FTP登陆凭据以继续。如果您忘记了您的登陆凭据(如用户名、密码),请联系您的网站托管商"。这个是比较麻烦的,现在就尝试解决一下!


第一,如果我们安装的是lnmp一键安装包,那可以使用。授权组来解决。

chown -R www /home/wwwroot/www.yxlgh.com(修改成网站域名目录)

第二,如果是其他的可以使用在wp-config.php文件中添加脚本方式。

define("FS_METHOD","direct");

define("FS_CHMOD_DIR", 0777);

define("FS_CHMOD_FILE", 0777);

上述脚本添加到文件最后面就可以。





本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x

QQ|小黑屋|手机版|Archiver|追梦Linux ( 粤ICP备14096197号  点击这里给我发消息

GMT+8, 2018-10-21 14:09 , Processed in 0.366936 second(s), 34 queries .

Powered by 追梦Linux! X3.3 Licensed

© 2015-2017 追梦Linux!.

快速回复 返回顶部 返回列表